Bug 1991868 - F35FailsToInstall: freecad
Summary: F35FailsToInstall: freecad
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: freecad
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FailsToInstall F36FailsToInstall 1982394
TreeView+ depends on / blocked
 
Reported: 2021-08-10 10:58 UTC by Miro Hrončok
Modified: 2021-08-20 17:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-20 17:28:23 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2021-08-10 10:58:20 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

Your package (freecad) Fails To Install in Fedora 35:

can't install freecad:
  - nothing provides libboost_thread.so.1.75.0()(64bit) needed by freecad-1:0.19.2-3.fc35.x86_64
  - nothing provides libboost_filesystem.so.1.75.0()(64bit) needed by freecad-1:0.19.2-3.fc35.x86_64
  - nothing provides libboost_regex.so.1.75.0()(64bit) needed by freecad-1:0.19.2-3.fc35.x86_64
  - nothing provides libboost_program_options.so.1.75.0()(64bit) needed by freecad-1:0.19.2-3.fc35.x86_64
  - nothing provides libboost_python310.so.1.75.0()(64bit) needed by freecad-1:0.19.2-3.fc35.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Ben Cotton 2021-08-10 13:37:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 2 Miro Hrončok 2021-08-18 08:41:12 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Richard Shaw 2021-08-20 12:39:27 UTC
Currently building for Rawhide, will try f35 next.


Note You need to log in before you can comment on or make changes to this bug.